API

List all event type category groups

Lists all even type category groups

GET/v1/hq/companies/{company_id}/event_type_category_groups
AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string
Example"dwawd8awudawd"

Query Parameters

sort?
pagination?
select?array<string>
expand?array<string>

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/companies/dwawd8awudawd/event_type_category_groups"
[
  {
    "id": "7awdXwZoedakjad37a",
    "readable_id": "barbering",
    "name": "Barbering"
  }
]